Ruby language support

sonarqube

(Ajeesh B Kannan) #1

Hi ,

I am running Sonarqube version 5.6 and would like to check the Ruby language support, Could not find any available plugin for ruby in Sonarqube control panel to install.
When I login into https://github.com/fortitudetec/sonar-ruby-plugin could not find a jar file to download as well.

While googling I can see some information like SonarQube has dropped support for Ruby.

Thank you


(G Ann Campbell) #2

Hi,

You’re right that there’s no current support for Ruby. However we plan to add support for new languages this year, and are considering Ruby. So watch this space!

BTW, if we do introduce support for Ruby it won’t be compatible with 5.6; you’ll need to upgrade your SonarQube. Note that 7.2 is the current version of SonarQube and 6.7.4 is the current LTS.

Ann


(Clint Cameron) #3

Ruby support has arrived!

https://www.sonarqube.org/sonarqube-7-4/